//
// Created by auric on 2/22/24.
//

#ifndef DEBUG_H
#define DEBUG_H

#include "nprint.h"
#include "config.h"

#ifdef debugEnabled
    #define DEBUG_PRINT(fmt, ...) nprint("D", fmt, ##__VA_ARGS__)
#else
    #define DEBUG_PRINT(fmt, ...) do {} while (0)
#endif

#endif //DEBUG_H
